package com.bonus.canteen.core.marketing.v2.rule.recharge.handler;

import com.bonus.canteen.core.marketing.v2.rule.recharge.dto.RuleRechargeResultDTO;
import com.bonus.canteen.core.marketing.vo.MarketRuleVO;

public interface RuleRechargeHandler {
   void handle(RuleRechargeResultDTO resultDTO, MarketRuleVO ruleInfo);

   Integer getRuleType();

   default void checkRuleInfo(String ruleInfo) {
   }
}
